aboutsummaryrefslogtreecommitdiff
path: root/qrpaste
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-01-18 20:41:08 -0200
committerSilvio Rhatto <rhatto@riseup.net>2017-01-18 20:41:08 -0200
commit2c121523b3b3a8a299ab1c34cc154c42c040fecd (patch)
tree1190e6db502205bb642474423704143d34c1594e /qrpaste
parent93256841deaf8771a07ce853987f178b04c795d5 (diff)
downloadutils-x11-2c121523b3b3a8a299ab1c34cc154c42c040fecd.tar.gz
utils-x11-2c121523b3b3a8a299ab1c34cc154c42c040fecd.tar.bz2
Adds qrpaste
Diffstat (limited to 'qrpaste')
-rwxr-xr-xqrpaste25
1 files changed, 25 insertions, 0 deletions
diff --git a/qrpaste b/qrpaste
new file mode 100755
index 0000000..7800c7d
--- /dev/null
+++ b/qrpaste
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Display clipboard content into as qrcode
+#
+
+# Setup
+BASENAME="`basename $0`"
+TEMP="`mktemp -d`"
+OUT="$TEMP/clipboard.png"
+
+# Check
+if ! which qrencode &> /dev/null; then
+ echo "$BASENAME: qrencode not found"
+ exit 1
+elif ! which xclip &> /dev/null; then
+ echo "$BASENAME: xclip not found"
+ exit 1
+fi
+
+# Run
+qrencode -o "$OUT" "`xclip -o`"
+display $OUT
+
+# Teardown
+rm -rf $TEMP